Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
servermon::ServerMonitor::ServerSettingsChangedEvent Struct Reference

A server entry was changed. More...

Inheritance diagram for servermon::ServerMonitor::ServerSettingsChangedEvent:

## Public Attributes
int | id
| id of the server entry
ServerSettings | oldSettings
| Settings before change.
ServerSettings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

A server entry was changed.

Definition at line 149 of file ServerMonitor.idl.

## Member Data Documentation

## ◆ id

int servermon::ServerMonitor::ServerSettingsChangedEvent::id

id of the server entry

Definition at line 150 of file ServerMonitor.idl.

## ◆ newSettings

ServerSettings servermon::ServerMonitor::ServerSettingsChangedEvent::newSettings

Settings after change.

Definition at line 152 of file ServerMonitor.idl.

## ◆ oldSettings

ServerSettings servermon::ServerMonitor::ServerSettingsChangedEvent::oldSettings

Settings before change.

Definition at line 151 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl